#
# spec file for package perl-Sub-Exporter
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Sub-Exporter
Name:           perl-Sub-Exporter
Version:        0.991.0
Release:        1.1
%define cpan_version 0.991
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Sophisticated exporter for custom-built routines
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Data::OptList) >= 0.100
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.78
BuildRequires:  perl(Params::Util) >= 0.14
BuildRequires:  perl(Sub::Install) >= 0.92
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(Data::OptList) >= 0.100
Requires:       perl(Params::Util) >= 0.14
Requires:       perl(Sub::Install) >= 0.92
Provides:       perl(Sub::Exporter) = %{version}
Provides:       perl(Sub::Exporter::Util) = %{version}
%define         __perllib_provides /bin/true
%{perl_requires}

%description
*ACHTUNG!* If you're not familiar with Exporter or exporting, read
Sub::Exporter::Tutorial first!

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Fri Nov 24 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.991
  see /usr/share/doc/packages/perl-Sub-Exporter/Changes
  0.991     2023-11-23 20:32:17-05:00 America/New_York
  - make the requirement for perl v5.12.0 explicit; previously, it was
    only implicit because of prerequisites
* Sun Jul 23 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.990
  see /usr/share/doc/packages/perl-Sub-Exporter/Changes
  0.990     2023-07-22 14:09:26+10:00 Australia/Melbourne
  - fixes to keep working in v5.39 (thanks, Yves Orton!)
* Mon Jan  2 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.989
  see /usr/share/doc/packages/perl-Sub-Exporter/Changes
  0.989     2022-12-31 19:34:54-05:00 America/New_York
  - update author contact info
* Sun Jun 20 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.988
  see /usr/share/doc/packages/perl-Sub-Exporter/Changes
  0.988     2021-06-18 23:37:47-04:00 America/New_York
  - update author contact info
  - add perl support section to docs
* Wed Dec 18 2013 coolo@suse.com
- updated to 0.987
  update bugtracker metadata
* Wed Aug 14 2013 lars@linux-schulserver.de
- update to 0.986:
  +  typo fixes in docs (thanks, David Steinbrunner!)
* Tue Jun  4 2013 coolo@suse.com
- updated to 0.985
    documentation fixes
* Wed Dec 14 2011 coolo@suse.com
- fix license to be in spdx.org format
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Apr 11 2010 chris@computersalat.de
- removed .packlist, perllocal.pod files
  > noarch package
- cleanup spec
  o fix HEADER
  o update License, Url
  o fix perl-macros deps
  o update description
  o macro usage
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sun Jun 21 2009 chris@computersalat.de
- initial package 0.982
